package com.example.testdemo

/**
 * 跨平台共享逻辑函数
 * 它调用了期望函数 getPlatform()，并根据不同平台的实现返回对应的文字
 */
fun appInfo(): String {
    // 调用 Platform.kt 中定义的 expect 函数
    val platform = getPlatform()

    return "Hello World! \n" +
            "Current Platform: ${platform.name} \n" +
            "This message is shared across Android, iOS, and HarmonyOS."
}